require 'test/unit'

class RumoduleTest < Test::Unit::TestCase

    def setup
        Dir.chdir( 'test' )
        pwd = Dir.pwd
        ofh = File.open( 'test_golden.log', 'w' )
        File.readlines( 'golden/test_golden.log' ).each do |line|
            ofh.puts line.gsub( /@PWD@/, pwd )
        end
        ofh.close
    end

    def teardown
        Dir.chdir( '..' )
    end

    def test_zsh
        unless %x{which sh}.chomp.empty?
            system( "./run_zsh_sh_bash" )
            ret = system( "diff -q test_zsh_sh_bash.log test_golden.log" )
            assert( ret, 'test_zsh_sh_bash failure' )
        else
            assert( true )
        end
    end

    def test_fish
        unless %x{which fish}.chomp.empty?
            system( "./run_fish" )
            ret = system( "diff -q test_fish.log test_golden.log" )
            assert( ret, 'test_fish failure' )
        else
            assert( true )
        end
    end

end
